Public Class MyPath
    Public Shared Function Current() As String
        Return My.Application.Info.DirectoryPath
    End Function
    Public Shared Function Windows() As String
        Dim SYSTEMD As String = (System.Environment.GetFolderPath(Environment.SpecialFolder.System))
        Dim DI As System.IO.DirectoryInfo = New System.IO.DirectoryInfo(SYSTEMD)
        Return DI.Parent.FullName
    End Function
    Public Shared Function System32() As String
        Return System.Environment.GetFolderPath(Environment.SpecialFolder.System).ToString
    End Function
    Public Shared Function Desktop() As String
        Return System.Environment.GetFolderPath(Environment.SpecialFolder.Desktop)
    End Function
    Public Shared Function DesktopPath() As String
        Return System.Environment.GetFolderPath(Environment.SpecialFolder.DesktopDirectory)
    End Function
    Public Shared Function Mycomputer() As String
        Return System.Environment.GetFolderPath(Environment.SpecialFolder.MyComputer)
    End Function
    Public Shared Function Mydocument() As String
        Return System.Environment.GetFolderPath(Environment.SpecialFolder.MyDocuments)
    End Function
    Public Shared Function Programfiles() As String
        Return System.Environment.GetFolderPath(Environment.SpecialFolder.ProgramFiles)
    End Function
    Public Shared Function StartMenu() As String
        Return System.Environment.GetFolderPath(Environment.SpecialFolder.StartMenu)
    End Function
    Public Shared Function StartUp() As String
        Return System.Environment.GetFolderPath(Environment.SpecialFolder.Startup)
    End Function

End Class